/**
 * Copyright (c) 2012 EBM WebSourcing, 2012-2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.admin.topology;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

/**
 * 
 * @author Nicolas Oddoux - EBM WebSourcing
 */
public class Domain {

    private final String name;

    private final List<Subdomain> subdomains;

    public Domain(String name) {
        assert name != null;
        
        this.name = name;
        this.subdomains = new ArrayList<Subdomain>();
    }
    
    public void addSubdomain(List<Subdomain> subdomains) {
        assert subdomains != null;

        this.subdomains.addAll(subdomains);
    }
    
    public String getName() {
        return name;
    }
    
    public List<Subdomain> getSubdomains() {
        return Collections.unmodifiableList(this.subdomains);
    }   
}
